package com.mortals.xhx.module.pay.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.pay.model.PayRequstEntity;
/**
* 支付请求查询对象
*
* @author zxfei
* @date 2024-12-12
*/
public class PayRequstQuery extends PayRequstEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 申请ID */
    private Long applyIdStart;

    /** 结束 申请ID */
    private Long applyIdEnd;

    /** 增加 申请ID */
    private Long applyIdIncrement;

    /** 申请ID列表 */
    private List <Long> applyIdList;

    /** 申请ID排除列表 */
    private List <Long> applyIdNotList;

    /** 开始 打印队列ID */
    private Long printQueueIdStart;

    /** 结束 打印队列ID */
    private Long printQueueIdEnd;

    /** 增加 打印队列ID */
    private Long printQueueIdIncrement;

    /** 打印队列ID列表 */
    private List <Long> printQueueIdList;

    /** 打印队列ID排除列表 */
    private List <Long> printQueueIdNotList;

    /** 支付订单编号 */
    private List<String> orderNumList;

    /** 支付订单编号排除列表 */
    private List <String> orderNumNotList;
    /** 开始 订单金额(单位:分) */
    private Integer amountStart;

    /** 结束 订单金额(单位:分) */
    private Integer amountEnd;

    /** 增加 订单金额(单位:分) */
    private Integer amountIncrement;

    /** 订单金额(单位:分)列表 */
    private List <Integer> amountList;

    /** 订单金额(单位:分)排除列表 */
    private List <Integer> amountNotList;

    /** 开始 订单日期 */
    private String orderDateStart;

    /** 结束 订单日期 */
    private String orderDateEnd;

    /** 支付二维码 */
    private List<String> qrcodeUrlList;

    /** 支付二维码排除列表 */
    private List <String> qrcodeUrlNotList;
    /** 开始 二维码有效时间单位秒 */
    private Integer payExpireStart;

    /** 结束 二维码有效时间单位秒 */
    private Integer payExpireEnd;

    /** 增加 二维码有效时间单位秒 */
    private Integer payExpireIncrement;

    /** 二维码有效时间单位秒列表 */
    private List <Integer> payExpireList;

    /** 二维码有效时间单位秒排除列表 */
    private List <Integer> payExpireNotList;

    /** 开始 支付状态 */
    private Integer payStatusStart;

    /** 结束 支付状态 */
    private Integer payStatusEnd;

    /** 增加 支付状态 */
    private Integer payStatusIncrement;

    /** 支付状态列表 */
    private List <Integer> payStatusList;

    /** 支付状态排除列表 */
    private List <Integer> payStatusNotList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PayRequstQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PayRequstQuery> andConditionList;

    public PayRequstQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 申请ID
    * @return applyIdStart
    */
    public Long getApplyIdStart(){
        return this.applyIdStart;
    }

    /**
    * 设置 开始 申请ID
    * @param applyIdStart
    */
    public void setApplyIdStart(Long applyIdStart){
        this.applyIdStart = applyIdStart;
    }

    /**
    * 获取 结束 申请ID
    * @return $applyIdEnd
    */
    public Long getApplyIdEnd(){
        return this.applyIdEnd;
    }

    /**
    * 设置 结束 申请ID
    * @param applyIdEnd
    */
    public void setApplyIdEnd(Long applyIdEnd){
        this.applyIdEnd = applyIdEnd;
    }

    /**
    * 获取 增加 申请ID
    * @return applyIdIncrement
    */
    public Long getApplyIdIncrement(){
        return this.applyIdIncrement;
    }

    /**
    * 设置 增加 申请ID
    * @param applyIdIncrement
    */
    public void setApplyIdIncrement(Long applyIdIncrement){
        this.applyIdIncrement = applyIdIncrement;
    }

    /**
    * 获取 申请ID
    * @return applyIdList
    */
    public List<Long> getApplyIdList(){
        return this.applyIdList;
    }

    /**
    * 设置 申请ID
    * @param applyIdList
    */
    public void setApplyIdList(List<Long> applyIdList){
        this.applyIdList = applyIdList;
    }

    /**
    * 获取 申请ID
    * @return applyIdNotList
    */
    public List<Long> getApplyIdNotList(){
        return this.applyIdNotList;
    }

    /**
    * 设置 申请ID
    * @param applyIdNotList
    */
    public void setApplyIdNotList(List<Long> applyIdNotList){
        this.applyIdNotList = applyIdNotList;
    }


    /**
    * 获取 开始 打印队列ID
    * @return printQueueIdStart
    */
    public Long getPrintQueueIdStart(){
        return this.printQueueIdStart;
    }

    /**
    * 设置 开始 打印队列ID
    * @param printQueueIdStart
    */
    public void setPrintQueueIdStart(Long printQueueIdStart){
        this.printQueueIdStart = printQueueIdStart;
    }

    /**
    * 获取 结束 打印队列ID
    * @return $printQueueIdEnd
    */
    public Long getPrintQueueIdEnd(){
        return this.printQueueIdEnd;
    }

    /**
    * 设置 结束 打印队列ID
    * @param printQueueIdEnd
    */
    public void setPrintQueueIdEnd(Long printQueueIdEnd){
        this.printQueueIdEnd = printQueueIdEnd;
    }

    /**
    * 获取 增加 打印队列ID
    * @return printQueueIdIncrement
    */
    public Long getPrintQueueIdIncrement(){
        return this.printQueueIdIncrement;
    }

    /**
    * 设置 增加 打印队列ID
    * @param printQueueIdIncrement
    */
    public void setPrintQueueIdIncrement(Long printQueueIdIncrement){
        this.printQueueIdIncrement = printQueueIdIncrement;
    }

    /**
    * 获取 打印队列ID
    * @return printQueueIdList
    */
    public List<Long> getPrintQueueIdList(){
        return this.printQueueIdList;
    }

    /**
    * 设置 打印队列ID
    * @param printQueueIdList
    */
    public void setPrintQueueIdList(List<Long> printQueueIdList){
        this.printQueueIdList = printQueueIdList;
    }

    /**
    * 获取 打印队列ID
    * @return printQueueIdNotList
    */
    public List<Long> getPrintQueueIdNotList(){
        return this.printQueueIdNotList;
    }

    /**
    * 设置 打印队列ID
    * @param printQueueIdNotList
    */
    public void setPrintQueueIdNotList(List<Long> printQueueIdNotList){
        this.printQueueIdNotList = printQueueIdNotList;
    }


    /**
    * 获取 支付订单编号
    * @return orderNumList
    */
    public List<String> getOrderNumList(){
        return this.orderNumList;
    }

    /**
    * 设置 支付订单编号
    * @param orderNumList
    */
    public void setOrderNumList(List<String> orderNumList){
        this.orderNumList = orderNumList;
    }

    /**
    * 获取 支付订单编号
    * @return orderNumNotList
    */
    public List<String> getOrderNumNotList(){
        return this.orderNumNotList;
    }

    /**
    * 设置 支付订单编号
    * @param orderNumNotList
    */
    public void setOrderNumNotList(List<String> orderNumNotList){
        this.orderNumNotList = orderNumNotList;
    }

    /**
    * 获取 开始 订单金额(单位:分)
    * @return amountStart
    */
    public Integer getAmountStart(){
        return this.amountStart;
    }

    /**
    * 设置 开始 订单金额(单位:分)
    * @param amountStart
    */
    public void setAmountStart(Integer amountStart){
        this.amountStart = amountStart;
    }

    /**
    * 获取 结束 订单金额(单位:分)
    * @return $amountEnd
    */
    public Integer getAmountEnd(){
        return this.amountEnd;
    }

    /**
    * 设置 结束 订单金额(单位:分)
    * @param amountEnd
    */
    public void setAmountEnd(Integer amountEnd){
        this.amountEnd = amountEnd;
    }

    /**
    * 获取 增加 订单金额(单位:分)
    * @return amountIncrement
    */
    public Integer getAmountIncrement(){
        return this.amountIncrement;
    }

    /**
    * 设置 增加 订单金额(单位:分)
    * @param amountIncrement
    */
    public void setAmountIncrement(Integer amountIncrement){
        this.amountIncrement = amountIncrement;
    }

    /**
    * 获取 订单金额(单位:分)
    * @return amountList
    */
    public List<Integer> getAmountList(){
        return this.amountList;
    }

    /**
    * 设置 订单金额(单位:分)
    * @param amountList
    */
    public void setAmountList(List<Integer> amountList){
        this.amountList = amountList;
    }

    /**
    * 获取 订单金额(单位:分)
    * @return amountNotList
    */
    public List<Integer> getAmountNotList(){
        return this.amountNotList;
    }

    /**
    * 设置 订单金额(单位:分)
    * @param amountNotList
    */
    public void setAmountNotList(List<Integer> amountNotList){
        this.amountNotList = amountNotList;
    }


    /**
    * 获取 开始 订单日期
    * @return orderDateStart
    */
    public String getOrderDateStart(){
        return this.orderDateStart;
    }

    /**
    * 设置 开始 订单日期
    * @param orderDateStart
    */
    public void setOrderDateStart(String orderDateStart){
        this.orderDateStart = orderDateStart;
    }

    /**
    * 获取 结束 订单日期
    * @return orderDateEnd
    */
    public String getOrderDateEnd(){
        return this.orderDateEnd;
    }

    /**
    * 设置 结束 订单日期
    * @param orderDateEnd
    */
    public void setOrderDateEnd(String orderDateEnd){
        this.orderDateEnd = orderDateEnd;
    }

    /**
    * 获取 支付二维码
    * @return qrcodeUrlList
    */
    public List<String> getQrcodeUrlList(){
        return this.qrcodeUrlList;
    }

    /**
    * 设置 支付二维码
    * @param qrcodeUrlList
    */
    public void setQrcodeUrlList(List<String> qrcodeUrlList){
        this.qrcodeUrlList = qrcodeUrlList;
    }

    /**
    * 获取 支付二维码
    * @return qrcodeUrlNotList
    */
    public List<String> getQrcodeUrlNotList(){
        return this.qrcodeUrlNotList;
    }

    /**
    * 设置 支付二维码
    * @param qrcodeUrlNotList
    */
    public void setQrcodeUrlNotList(List<String> qrcodeUrlNotList){
        this.qrcodeUrlNotList = qrcodeUrlNotList;
    }

    /**
    * 获取 开始 二维码有效时间单位秒
    * @return payExpireStart
    */
    public Integer getPayExpireStart(){
        return this.payExpireStart;
    }

    /**
    * 设置 开始 二维码有效时间单位秒
    * @param payExpireStart
    */
    public void setPayExpireStart(Integer payExpireStart){
        this.payExpireStart = payExpireStart;
    }

    /**
    * 获取 结束 二维码有效时间单位秒
    * @return $payExpireEnd
    */
    public Integer getPayExpireEnd(){
        return this.payExpireEnd;
    }

    /**
    * 设置 结束 二维码有效时间单位秒
    * @param payExpireEnd
    */
    public void setPayExpireEnd(Integer payExpireEnd){
        this.payExpireEnd = payExpireEnd;
    }

    /**
    * 获取 增加 二维码有效时间单位秒
    * @return payExpireIncrement
    */
    public Integer getPayExpireIncrement(){
        return this.payExpireIncrement;
    }

    /**
    * 设置 增加 二维码有效时间单位秒
    * @param payExpireIncrement
    */
    public void setPayExpireIncrement(Integer payExpireIncrement){
        this.payExpireIncrement = payExpireIncrement;
    }

    /**
    * 获取 二维码有效时间单位秒
    * @return payExpireList
    */
    public List<Integer> getPayExpireList(){
        return this.payExpireList;
    }

    /**
    * 设置 二维码有效时间单位秒
    * @param payExpireList
    */
    public void setPayExpireList(List<Integer> payExpireList){
        this.payExpireList = payExpireList;
    }

    /**
    * 获取 二维码有效时间单位秒
    * @return payExpireNotList
    */
    public List<Integer> getPayExpireNotList(){
        return this.payExpireNotList;
    }

    /**
    * 设置 二维码有效时间单位秒
    * @param payExpireNotList
    */
    public void setPayExpireNotList(List<Integer> payExpireNotList){
        this.payExpireNotList = payExpireNotList;
    }


    /**
    * 获取 开始 支付状态
    * @return payStatusStart
    */
    public Integer getPayStatusStart(){
        return this.payStatusStart;
    }

    /**
    * 设置 开始 支付状态
    * @param payStatusStart
    */
    public void setPayStatusStart(Integer payStatusStart){
        this.payStatusStart = payStatusStart;
    }

    /**
    * 获取 结束 支付状态
    * @return $payStatusEnd
    */
    public Integer getPayStatusEnd(){
        return this.payStatusEnd;
    }

    /**
    * 设置 结束 支付状态
    * @param payStatusEnd
    */
    public void setPayStatusEnd(Integer payStatusEnd){
        this.payStatusEnd = payStatusEnd;
    }

    /**
    * 获取 增加 支付状态
    * @return payStatusIncrement
    */
    public Integer getPayStatusIncrement(){
        return this.payStatusIncrement;
    }

    /**
    * 设置 增加 支付状态
    * @param payStatusIncrement
    */
    public void setPayStatusIncrement(Integer payStatusIncrement){
        this.payStatusIncrement = payStatusIncrement;
    }

    /**
    * 获取 支付状态
    * @return payStatusList
    */
    public List<Integer> getPayStatusList(){
        return this.payStatusList;
    }

    /**
    * 设置 支付状态
    * @param payStatusList
    */
    public void setPayStatusList(List<Integer> payStatusList){
        this.payStatusList = payStatusList;
    }

    /**
    * 获取 支付状态
    * @return payStatusNotList
    */
    public List<Integer> getPayStatusNotList(){
        return this.payStatusNotList;
    }

    /**
    * 设置 支付状态
    * @param payStatusNotList
    */
    public void setPayStatusNotList(List<Integer> payStatusNotList){
        this.payStatusNotList = payStatusNotList;
    }


    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public PayRequstQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public PayRequstQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public PayRequstQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public PayRequstQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public PayRequstQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public PayRequstQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  申请ID
    * @param applyId
    */
    public PayRequstQuery applyId(Long applyId){
	    setApplyId(applyId);
		return this;
    }
	
	 /**
    * 设置 开始 申请ID
    * @param applyIdStart
    */
    public PayRequstQuery applyIdStart(Long applyIdStart){
		this.applyIdStart = applyIdStart;
		return this;
    }

    /**
    * 设置 结束 申请ID
    * @param applyIdEnd
    */
    public PayRequstQuery applyIdEnd(Long applyIdEnd){
		this.applyIdEnd = applyIdEnd;
		return this;
    }

    /**
    * 设置 增加 申请ID
    * @param applyIdIncrement
    */
    public PayRequstQuery applyIdIncrement(Long applyIdIncrement){
		this.applyIdIncrement = applyIdIncrement;
		return this;
    }

    /**
    * 设置 申请ID
    * @param applyIdList
    */
    public PayRequstQuery applyIdList(List<Long> applyIdList){
        this.applyIdList = applyIdList;
		return this;
        }

        /**
        * 设置 申请ID
        * @param applyIdNotList
        */
        public PayRequstQuery applyIdNotList(List<Long> applyIdNotList){
        this.applyIdNotList = applyIdNotList;
        return this;
        }

    /**
    * 设置  打印队列ID
    * @param printQueueId
    */
    public PayRequstQuery printQueueId(Long printQueueId){
	    setPrintQueueId(printQueueId);
		return this;
    }
	
	 /**
    * 设置 开始 打印队列ID
    * @param printQueueIdStart
    */
    public PayRequstQuery printQueueIdStart(Long printQueueIdStart){
		this.printQueueIdStart = printQueueIdStart;
		return this;
    }

    /**
    * 设置 结束 打印队列ID
    * @param printQueueIdEnd
    */
    public PayRequstQuery printQueueIdEnd(Long printQueueIdEnd){
		this.printQueueIdEnd = printQueueIdEnd;
		return this;
    }

    /**
    * 设置 增加 打印队列ID
    * @param printQueueIdIncrement
    */
    public PayRequstQuery printQueueIdIncrement(Long printQueueIdIncrement){
		this.printQueueIdIncrement = printQueueIdIncrement;
		return this;
    }

    /**
    * 设置 打印队列ID
    * @param printQueueIdList
    */
    public PayRequstQuery printQueueIdList(List<Long> printQueueIdList){
        this.printQueueIdList = printQueueIdList;
		return this;
        }

        /**
        * 设置 打印队列ID
        * @param printQueueIdNotList
        */
        public PayRequstQuery printQueueIdNotList(List<Long> printQueueIdNotList){
        this.printQueueIdNotList = printQueueIdNotList;
        return this;
        }


	/**
    * 设置 支付订单编号
    * @param orderNum
    */
    public PayRequstQuery orderNum(String orderNum){
        setOrderNum(orderNum);
		return this;
    }

    /**
    * 设置 支付订单编号
    * @param orderNumList
    */
    public PayRequstQuery orderNumList(List<String> orderNumList){
        this.orderNumList = orderNumList;
		return this;
    }

    /**
    * 设置  订单金额(单位:分)
    * @param amount
    */
    public PayRequstQuery amount(Integer amount){
	    setAmount(amount);
		return this;
    }
	
	 /**
    * 设置 开始 订单金额(单位:分)
    * @param amountStart
    */
    public PayRequstQuery amountStart(Integer amountStart){
		this.amountStart = amountStart;
		return this;
    }

    /**
    * 设置 结束 订单金额(单位:分)
    * @param amountEnd
    */
    public PayRequstQuery amountEnd(Integer amountEnd){
		this.amountEnd = amountEnd;
		return this;
    }

    /**
    * 设置 增加 订单金额(单位:分)
    * @param amountIncrement
    */
    public PayRequstQuery amountIncrement(Integer amountIncrement){
		this.amountIncrement = amountIncrement;
		return this;
    }

    /**
    * 设置 订单金额(单位:分)
    * @param amountList
    */
    public PayRequstQuery amountList(List<Integer> amountList){
        this.amountList = amountList;
		return this;
        }

        /**
        * 设置 订单金额(单位:分)
        * @param amountNotList
        */
        public PayRequstQuery amountNotList(List<Integer> amountNotList){
        this.amountNotList = amountNotList;
        return this;
        }



	/**
    * 设置 支付二维码
    * @param qrcodeUrl
    */
    public PayRequstQuery qrcodeUrl(String qrcodeUrl){
        setQrcodeUrl(qrcodeUrl);
		return this;
    }

    /**
    * 设置 支付二维码
    * @param qrcodeUrlList
    */
    public PayRequstQuery qrcodeUrlList(List<String> qrcodeUrlList){
        this.qrcodeUrlList = qrcodeUrlList;
		return this;
    }

    /**
    * 设置  二维码有效时间单位秒
    * @param payExpire
    */
    public PayRequstQuery payExpire(Integer payExpire){
	    setPayExpire(payExpire);
		return this;
    }
	
	 /**
    * 设置 开始 二维码有效时间单位秒
    * @param payExpireStart
    */
    public PayRequstQuery payExpireStart(Integer payExpireStart){
		this.payExpireStart = payExpireStart;
		return this;
    }

    /**
    * 设置 结束 二维码有效时间单位秒
    * @param payExpireEnd
    */
    public PayRequstQuery payExpireEnd(Integer payExpireEnd){
		this.payExpireEnd = payExpireEnd;
		return this;
    }

    /**
    * 设置 增加 二维码有效时间单位秒
    * @param payExpireIncrement
    */
    public PayRequstQuery payExpireIncrement(Integer payExpireIncrement){
		this.payExpireIncrement = payExpireIncrement;
		return this;
    }

    /**
    * 设置 二维码有效时间单位秒
    * @param payExpireList
    */
    public PayRequstQuery payExpireList(List<Integer> payExpireList){
        this.payExpireList = payExpireList;
		return this;
        }

        /**
        * 设置 二维码有效时间单位秒
        * @param payExpireNotList
        */
        public PayRequstQuery payExpireNotList(List<Integer> payExpireNotList){
        this.payExpireNotList = payExpireNotList;
        return this;
        }

    /**
    * 设置  支付状态
    * @param payStatus
    */
    public PayRequstQuery payStatus(Integer payStatus){
	    setPayStatus(payStatus);
		return this;
    }
	
	 /**
    * 设置 开始 支付状态
    * @param payStatusStart
    */
    public PayRequstQuery payStatusStart(Integer payStatusStart){
		this.payStatusStart = payStatusStart;
		return this;
    }

    /**
    * 设置 结束 支付状态
    * @param payStatusEnd
    */
    public PayRequstQuery payStatusEnd(Integer payStatusEnd){
		this.payStatusEnd = payStatusEnd;
		return this;
    }

    /**
    * 设置 增加 支付状态
    * @param payStatusIncrement
    */
    public PayRequstQuery payStatusIncrement(Integer payStatusIncrement){
		this.payStatusIncrement = payStatusIncrement;
		return this;
    }

    /**
    * 设置 支付状态
    * @param payStatusList
    */
    public PayRequstQuery payStatusList(List<Integer> payStatusList){
        this.payStatusList = payStatusList;
		return this;
        }

        /**
        * 设置 支付状态
        * @param payStatusNotList
        */
        public PayRequstQuery payStatusNotList(List<Integer> payStatusNotList){
        this.payStatusNotList = payStatusNotList;
        return this;
        }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public PayRequstQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public PayRequstQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public PayRequstQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public PayRequstQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public PayRequstQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public PayRequstQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public PayRequstQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public PayRequstQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public PayRequstQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public PayRequstQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public PayRequstQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public PayRequstQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<PayRequstQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<PayRequstQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<PayRequstQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<PayRequstQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}